Bug 1902547 - Cinder csi driver controller pod doesn't run on master node
Summary: Cinder csi driver controller pod doesn't run on master node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.0
Assignee: Martin André
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-30 02:53 UTC by Wei Duan
Modified: 2021-02-24 15:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:36:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openstack-cinder-csi-driver-operator pull 17 0 None closed Bug 1902547: Ensure cinder-csi-driver-controller runs on master nodes 2021-01-18 08:58:32 UTC
Github openshift openstack-cinder-csi-driver-operator pull 22 0 None closed Bug 1902547: Add Mike and Martin to OWNERS 2021-01-21 16:17:50 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:36:52 UTC

Description Wei Duan 2020-11-30 02:53:16 UTC
Description of problem:
Cinder-csi-driver-controller pod doesn't run on master node

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-11-29-133728

Steps to Reproduce:
1. Install OSP cluster and cinder csi driver is installed. 

2. Check CSI driver pods:
   oc -n openshift-cluster-csi-drivers get pod -o wide

Actual results:
1. CSI driver pods does not run on master nodes
$ oc -n openshift-cluster-csi-drivers get pod -o wide
...
openstack-cinder-csi-driver-controller-68c89bf4c5-lmw74   5/5     Running   0          25m   192.168.0.14    wduan-1130a-fcw45-worker-0-qh5dx   <none>           <none>
...


Expected results:
openstack-cinder-csi-driver-controller pod should run on master nodes

Comment 1 Martin André 2020-12-10 09:20:30 UTC
Possibly a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1902546. We're currently investigating.

Comment 4 Wei Duan 2021-01-22 04:40:59 UTC
Verified pass on 4.7.0-0.nightly-2021-01-21-172657.


$ oc -n openshift-manila-csi-driver get pod -o wide | grep openstack-manila-csi-controllerplugin
openstack-manila-csi-controllerplugin-bb4788c66-zbxbf   4/4     Running   0          91m    10.128.0.16     wduan-120a-7n7lh-master-1         <none>           <none>
$ oc -n openshift-manila-csi-driver delete pod openstack-manila-csi-controllerplugin-bb4788c66-zbxbf
pod "openstack-manila-csi-controllerplugin-bb4788c66-zbxbf" deleted
$ oc -n openshift-manila-csi-driver get pod -o wide | grep openstack-manila-csi-controllerplugin
openstack-manila-csi-controllerplugin-bb4788c66-l4qvc   4/4     Running   0          13m    10.129.0.10     wduan-120a-7n7lh-master-2         <none>           <none>

Comment 7 errata-xmlrpc 2021-02-24 15:36:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.